---

# Include variables from alma_vars.yml
- include_vars: alma_vars.yml

- name: 'including the install yaml file'
  ansible.builtin.debug:
    msg: "we are verifying that the install yaml file"


- name: Install GitLab Dependencies
  become: true
  ansible.builtin.package:
    name: "{{ gitlab_dependencies }}"
    state: present


- name: "Install GitLab on RedHat Like OS"
  when: ansible_facts.os_family == 'RedHat'
  block:
    - name: check that what type of system we are on
      ansible.builtin.debug:
        msg: "installing on a RedHat like system"

    - name: lets pull down the gitlab rpm
      ansible.builtin.get_url:
        url: "{{ gitlab_repo_url }}"
        dest:  /tmp/script.rpm.sh
        mode: 0777

    - name: run the script.rpm.sh to add the repositories
      ansible.builtin.shell: bash /tmp/script.rpm.sh

    - name: Install the gitlab-ce
      ansible.builtin.yum:
        name: "{{ ceversion  }}"
        state: installed

    - name: verify that correct version of gitlab-ce was installed
      ansible.builtin.shell: rpm -q gitlab-ce
      register: gitlab_ce_version

    - name: print the version that was installed
      ansible.builtin.debug: 
        msg: "the gitlab version is {{ gitlab_ce_version.stdout }}" 

    - name: Assert that the correct version was installed
      ansible.builtin.assert:
        that:
          - ceversion == gitlab_ce_version
        fail_msg: "The correct version of gitlab_ce was not installed"
        success_msg: "the version of gitlab_ce installed was correct"  


        
    